package cn.lihongjie.coal.dataCollectorLog.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.dataCollectorLog.dto.CreateDataCollectorLogDto;
import cn.lihongjie.coal.dataCollectorLog.dto.DataCollectorLogDto;
import cn.lihongjie.coal.dataCollectorLog.dto.UpdateDataCollectorLogDto;
import cn.lihongjie.coal.dataCollectorLog.service.DataCollectorLogService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/dataCollectorLog")
@SysLog(module = "数据采集器日志")
@Slf4j
@OrgScope
public class DataCollectorLogController {
    @Autowired private DataCollectorLogService service;

    @PostMapping("/create")
    public DataCollectorLogDto create(@RequestBody CreateDataCollectorLogDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public DataCollectorLogDto update(@RequestBody UpdateDataCollectorLogDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public DataCollectorLogDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<DataCollectorLogDto> list(@RequestBody CommonQuery request) {
        
        return this.service.list(request);
    }
}
